Bug 226279 - Convert small JIT pool tests into executable fuzzing
Summary: Convert small JIT pool tests into executable fuzzing
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Keith Miller
URL:
Keywords: InRadar
Depends on: 226606 228037
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-26 10:10 PDT by Keith Miller
Modified: 2021-07-16 15:16 PDT (History)
7 users (show)

See Also:


Attachments
Patch (5.67 KB, patch)
2021-05-26 10:17 PDT, Keith Miller
no flags Details | Formatted Diff | Diff
Patch (10.64 KB, patch)
2021-05-26 10:20 PDT, Keith Miller
no flags Details | Formatted Diff | Diff
Patch for landing (10.64 KB, patch)
2021-05-26 10:26 PDT, Keith Miller
no flags Details | Formatted Diff | Diff
Patch for landing (10.61 KB, patch)
2021-06-02 08:50 PDT, Keith Miller
no flags Details | Formatted Diff | Diff
Patch for landing (9.59 KB, patch)
2021-07-14 12:08 PDT, Keith Miller
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Miller 2021-05-26 10:10:52 PDT
Convert small JIT pool tests into executable fuzzing
Comment 1 Keith Miller 2021-05-26 10:17:15 PDT
Created attachment 429768 [details]
Patch
Comment 2 Michael Saboff 2021-05-26 10:19:32 PDT
Comment on attachment 429768 [details]
Patch

r=me
Comment 3 Keith Miller 2021-05-26 10:20:07 PDT
Created attachment 429770 [details]
Patch
Comment 4 Keith Miller 2021-05-26 10:26:38 PDT
Created attachment 429773 [details]
Patch for landing
Comment 5 EWS 2021-05-26 10:27:17 PDT
Tools/Scripts/svn-apply failed to apply attachment 429773 [details] to trunk.
Please resolve the conflicts and upload a new patch.
Comment 6 Keith Miller 2021-06-02 08:50:42 PDT
Created attachment 430364 [details]
Patch for landing
Comment 7 EWS 2021-06-02 09:26:07 PDT
Committed r278356 (238388@main): <https://commits.webkit.org/238388@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 430364 [details].
Comment 8 Radar WebKit Bug Importer 2021-06-02 09:27:22 PDT
<rdar://problem/78767508>
Comment 9 WebKit Commit Bot 2021-06-03 15:41:51 PDT
Re-opened since this is blocked by bug 226606
Comment 10 Keith Miller 2021-07-14 12:08:59 PDT
Created attachment 433516 [details]
Patch for landing
Comment 11 EWS 2021-07-14 12:58:24 PDT
Committed r279916 (239665@main): <https://commits.webkit.org/239665@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 433516 [details].
Comment 12 Saam Barati 2021-07-14 16:24:11 PDT
Comment on attachment 433516 [details]
Patch for landing

View in context: https://bugs.webkit.org/attachment.cgi?id=433516&action=review

We also are using the random executable allocation fuzzer for all our tests now: https://trac.webkit.org/changeset/279126/webkit

> Source/JavaScriptCore/jit/ExecutableAllocationFuzz.cpp:44
> +    static WeakRandom random(Options::seedOfVMRandomForFuzzer() ? Options::seedOfVMRandomForFuzzer() : cryptographicallyRandomNumber());

Why is this defined right here? Maybe we can unify w/ WeakRandom below? Kinda confusing to put this definition here and not use it until way later.

I think this should also be a LazyNeverDestroyed like below?

Maybe also should use a lock like below?
Comment 13 WebKit Commit Bot 2021-07-16 15:16:48 PDT
Re-opened since this is blocked by bug 228037